Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.components
Class Datum

    java.lang.Object
      org.deegree.crs.Identifiable
          org.deegree.crs.components.Datum

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GeodeticDatum, VerticalDatum

    public class Datum

extends Identifiable
implements Serializable

The `Datum` is a generic type for all datums.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`Datum(Identifiable id)`
`Datum(String[] identifiers, String[] names, String[] versions, String[] descriptions, String[] areasOfUse)`

Method Summary

Methods inherited from class org.deegree.crs.Identifiable
`checkForNullObject, checkForNullObject, checkForNullObject, equals, getAreaOfUse, getAreaOfUseBBox, getAreasOfUse, getDescription, getDescriptions, getIdAndName, getIdentifier, getIdentifiers, getName, getNames, getVersion, getVersions, hasID, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Datum

    public Datum(Identifiable id)

Parameters:
  `id` - containing all relevant id data.

### Datum

    public Datum(String[] identifiers,
                 String[] names,
                 String[] versions,
                 String[] descriptions,
                 String[] areasOfUse)

Parameters:
  `identifiers` -
  `names` -
  `versions` -
  `descriptions` -
  `areasOfUse` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org